#!/bin/bash
########################################################################################
#  Copyright Hewlett Packard --
#  
#  FUNCTION -  To install and configure the WEBES components from an answer file.
#  DESCRIPTION - 
#  USAGE - webes_silent -a <absolutepath & filename>
#
# Author            Creation Date             Comments
# Kusum             Mar8,2004                 Created the script 
########################################################################################
usage ()
{
  cat<<ANSWERUSAGE

  Usage : webes_silent.sh -a <absolutepath-of-answerfilename> 

ANSWERUSAGE
exit 1

}

install_components ()
{
  install_webes
  install_sea
  install_ccat
  execute_answerfile 
}

install_webes ()
{
     /bin/echo "in install_webes "
   if [ -f  $CURR_DIR/WEBESWrapper.sh ]; then
        $CURR_DIR/WEBESWrapper.sh
   else
        /bin/echo "Failed to find required file: $CURR_DIR/WEBESWrapper.sh"
        exit 2       
   fi  
}

install_sea ()
{
   /bin/echo "in install_sea"
   if [ -f  $CURR_DIR/WEBESSEA-${SEA_VER}.i386.rpm ]; then 
       /bin/rpm -ivh --force  WEBESSEA-${SEA_VER}.i386.rpm 
   else
       /bin/echo "Failed to find the required file: $CURR_DIR/WEBESSEA-${SEA_VER}.i386.rpm"
       exit 3
   fi
}

install_ccat ()
{
  /bin/echo "in install_ccat"
      if [ -f $CURR_DIR/WEBESCCAT-${CCAT_VER}.i386.rpm ]; then
           /bin/rpm -ivh --force WEBESCCAT-${CCAT_VER}.i386.rpm
     else
          /bin/echo "Failed to find the required file: $CURR_DIR/WEBESCCAT-${CCAT_VER}.i386.rpm"
          exit 4 
     fi
}

execute_answerfile ()
{
     /bin/echo "ANSWER_FILE =" $ANSWER_FILE 
     /bin/echo "in execute_answerfile"
      if [ -f  $SBIN_HOME/webes_install_update ]; then 
             $SBIN_HOME/webes_install_update -a  $ANSWER_FILE 
      else
             /bin/echo "Failed to find the required file: $SBIN_HOME/webes_install_update"
            exit 5
      fi
}

#######################################################################
# Script execution
#######################################################################
ANSWER_FILE_NAME=""
ANSWER_FILE=""
SEA_VER="4.3-2"
CCAT_VER="5.1-1"
CURR_DIR="."
SBIN_HOME=/usr/sbin; export SBIN_HOME


/bin/echo "Starting the Configuration through the answerfile"

if [ $# -eq 0 ]; then
   usage
fi

if [ $# -lt 2 ]; then
    usage 
fi

ANSWER_FILE_NAME=$2
ANSWER_FILE=$2
/bin/echo "ANSWER_FILE_NAME =" $ANSWER_FILE_NAME 
/bin/echo "ANSWER_FILE =" $ANSWER_FILE 
export ANSWER_FILE

install_components

############################################END############################




